Globalizing Dashboard
Our sample projects and report templates can help you learn the basics of working with our products.A dashboard can be globalized at run time — switching a language reloads the localization file and sets the report's culture.
In React.
How it works. Choosing a language reloads the localization and re-cultures the report, so the whole dashboard adapts to the locale.
In React.
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-react/viewer";
function App() {
const [report, setReport] = React.useState<Stimulsoft.Report.StiReport>();
function update(culture: string) {
Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("Localizations/" + culture.substring(0, 2) + ".xml");
var r = new Stimulsoft.Report.StiReport();
r.loadFile("Dashboards/Globalization.mrt");
r.culture = culture;
setReport(r);
}
React.useEffect(() => update("en-US"), []);
return (
<>
<select onChange={e => update(e.target.value)}>
<option value="en-US">English</option>
<option value="de-DE">Deutsch</option>
</select>
<Viewer report={report} />
</>
);
}StiLocalization.setLocalizationFile(path)— load the UI language for the chosen culture.report.culture— set the data/format culture so numbers and dates format correctly.
How it works. Choosing a language reloads the localization and re-cultures the report, so the whole dashboard adapts to the locale.

A dashboard can be globalized at run time — switching a language reloads the localization file and sets the report's culture.

In Angular.
@Component({
    imports: [Viewer],
    template: `
        <select (change)="update($event.target)">
            <option [value]="'en-US'">English</option>
            <option [value]="'de-DE'">Deutsch</option>
        </select>
        <sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();

    update(e: any) {
        var culture = e.value;
        Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("Localizations/" + culture.substring(0, 2) + ".xml");

        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Globalization.mrt");
        this.report.culture = culture;
    }

    constructor() { this.update({ value: "en-US" }); }
}

How it works. Choosing a language reloads the localization and re-cultures the report, so the whole dashboard adapts to the locale.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

A dashboard can be globalized at run time — switching a language reloads the localization file and sets the report's culture.

In Vue.
<script setup lang="ts">
import { ref } from "vue";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-vuejs/viewer";

const report = ref<Stimulsoft.Report.StiReport>();

function update(culture: string) {
    Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("Localizations/" + culture.substring(0, 2) + ".xml");

    var r = new Stimulsoft.Report.StiReport();
    r.loadFile("Dashboards/Globalization.mrt");
    r.culture = culture;
    report.value = r;
}
update("en-US");
</script>

<template>
    <select @change="update(($event.target as HTMLSelectElement).value)">
        <option value="en-US">English</option>
        <option value="de-DE">Deutsch</option>
    </select>
    <Viewer :report="report" />
</template>

How it works. Choosing a language reloads the localization and re-cultures the report, so the whole dashboard adapts to the locale.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.